Subject: Re: [PATCH 0/7] RFC: Accelerate xdiff and begin its rustification

From: Pierre-Emmanuel Patry <[email-masked]>
Date: Mon, 28 Jul 2025 11:06:52 +0200

> And I expect that 1.78 will be another significant effort that won't
> land before the year after?

Yes, even though it will be easier once the foundations are laid off, I 
wouldn't expect 1.78 before at least a year after that.

> For my own understanding: is this something that the Git project would
> have to support or something that the distributor needs to set up?

I would say it is something the distributor needs to set up. From what I 
remember rustc requires a flag with the path to the rustc_codegen_gcc 
backend. This means that has long as the distributor has the alternative 
backend and a way to inject a flag to rustc through an environment 
variable it should be mostly fine for them.

Pierre-Emmanuel